org.jboss.resteasy.plugins.spring

## Class SpringContextLoaderSupport

- java.lang.Object
- - org.jboss.resteasy.plugins.spring.SpringContextLoaderSupport

-     public class SpringContextLoaderSupport
      extends Object

  Provides access to RESTEasy's SpringContextLoader implementation without having to extend `ContextLoader`. This is useful if you have your own SpringContextLoaderListener and dont' want to return RESTEasy's `SpringContextLoader`. Usage:

       public class MyCustomSpringContextLoader extends ContextLoader
       {
          private SpringContextLoaderSupport springContextLoaderSupport =
             new SpringContextLoaderSupport();

           protected void customizeContext(
              ServletContext servletContext,
              ConfigurableWebApplicationContext configurableWebApplicationContext)
          {
             super.customizeContext(servletContext, configurableWebApplicationContext);

             // Your custom code

             this.springContextLoaderSupport.customizeContext(servletContext.configurableWebApplicationContext);

             // Your custom code
          }
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringContextLoaderSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `customizeContext(javax.servlet.ServletContext servletContext, org.springframework.web.context.ConfigurableWebApplicationContext configurableWebApplicationContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringContextLoaderSupport

          public SpringContextLoaderSupport()

  - ### Method Detail

    - #### customizeContext

          public void customizeContext(javax.servlet.ServletContext servletContext,
                              org.springframework.web.context.ConfigurableWebApplicationContext configurableWebApplicationContext)

Copyright © 2014. All Rights Reserved.